## lxqt-session 2.1.0

=== debian/changelog ===
lxqt-session (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * d/control: Manage conflict between xdg-desktop-portal-lxqt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Dec 2024 01:08:03 +0800

lxqt-session (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:10:10 +0100

lxqt-session (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt2-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on qtxdg-tools (>= 4.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: update Depends to lxqt-qtplugin6

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps on liblxqt-dev (>= 2.0.0~).
  * debian/control: depends on lxqt-qtplugin (>= 2.0.0~).
  * debian/control: drop alternative depends on non exist package.
  * debian/copyright: update.
  * debian/control: run wrap-and-sort.
  * debian/control: build-deps on liblayershellqtinterface-dev (>=
    6.0.0~).
  * debian/control: build-deps on libglib2.0-dev.
  * debian/salsa-ci.yml: drop blhc tests error workaround.
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/salsa-ci.yml: build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 17:18:55 +0200

lxqt-session (1.4.0-2) unstable; urgency=medium

  * Source only upload without changes.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Sep 2024 19:48:27 +0200

lxqt-session (1.4.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0

  [ Severus Septimius ]
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: bump build-deps on qtxdg-tools (>= 3.12.0~).
  * debian/control: bump build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: Add dependency on qttools5-dev for Qt5LinguistTools
  * Add patch for lxqt-portals.conf.
  * debian/control: add xdg-desktop-portal-lxqt to Recommends
  * debian/changelog: update changelog

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 24 Jul 2024 09:48:18 +0200

lxqt-session (1.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 1.3.0
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/copyright: update.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * Update team email to <team+lxqt@tracker.debian.org>.
  * debian/control: bump build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: bump build-deps on qtxdg-tools (>= 3.11.0~).

  [ Andrew Lee (李健秋) ]
  * Drop patches already included in upstream.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.
  * debian/salsa-ci.yml: allow failure on blhc test.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 26 Aug 2023 07:38:08 +0200

=== debian/control ===
Source: lxqt-session
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev (>= 6.0.0~),
               liblxqt-dev (>= 2.1.0~),
               libproc2-dev,
               libudev-dev [linux-any],
               libx11-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qtxdg-tools (>= 4.1.0~),
               xdg-user-dirs
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
Homepage: https://github.com/lxqt/lxqt-session
Rules-Requires-Root: no

Package: lxqt-session
Architecture: any
Depends: lxqt-qtplugin (>= 2.0.0~),
         lxqt-themes,
         x11-xkb-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-config,
            lxqt-notificationd,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-session-l10n,
            lxqt-sudo,
            pcmanfm-qt,
            qlipper,
            qps [linux-any],
            xdg-desktop-portal-lxqt,
            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
Provides: x-session-manager
Breaks: xdg-desktop-portal-lxqt (<< 1.1.0~)
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-session
 The l10n files for lxqt-session.
 .
 This package contains the l10n files needed by lxqt-session.

## lxqt-session 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-session)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_LIBUDEV "Build with libudev support" ON)

# Minimum Versions
set(KF6_MINIMUM_VERSION "6.0.0")
set(LXQT_MINIMUM_VERSION "2.1.0")
set(QTXDG_MINIMUM_VERSION "4.1.0")
set(QT_MINIMUM_VERSION "6.6.0")
set(SHELLQT_MINIMUM_VERSION "6.0.0")

find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(qtxdg-tools ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(X11 REQUIRED)
find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt6Core_VERSION}")
find_package(PkgConfig REQUIRED)
if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    pkg_search_module(PROCPS REQUIRED libproc2 libprocps)
    message(STATUS "Using PROCPS -> ${PROCPS_MODULE_NAME} v${PROCPS_VERSION}")
    if (PROCPS_VERSION VERSION_GREATER_EQUAL 4.0.0)
        add_definitions("-DUSING_LIBPROC2")
        if (PROCPS_VERSION VERSION_GREATER_EQUAL 4.0.5)
            add_definitions("-DUSING_LIBPROC2_1")
        endif()
    endif()
endif()

# Please don't move, must be after lxqt
find_package(XdgUserDirs REQUIRED)

# Patch Version
set(LXQT_SESSION_PATCH_VERSION 1)

set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
add_definitions(
    "-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\""
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(lxqt-session)
add_subdirectory(lxqt-config-session)
add_subdirectory(lxqt-leave)

# merged from lxqt-common
include(LXQtConfigVars)

# startlxqt script
set(PREDEF_XDG_DATA_DIRS "$XDG_DATA_HOME")
if(NOT("${LXQT_DATA_DIR}" MATCHES "^/usr(/local)?/share$"))
    set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
endif()
set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/share")
configure_file(startlxqt.in startlxqt @ONLY)
install(PROGRAMS
    "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    startlxqt.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

# default config files
add_subdirectory(config)
add_subdirectory(autostart)

# xsession *.desktop file for display managers
add_subdirectory(xsession)

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
    USE_YAML
)
add_custom_target(lxqt_sesstion_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== lxqt-session/CMakeLists.txt ===
project("lxqt-session")

if (WITH_LIBUDEV)
    find_package(UDev REQUIRED)
    include_directories(${LIBUDEV_INCLUDE_DIR})
    add_definitions(-DWITH_LIBUDEV_MONITOR)
endif()

include_directories(
    ${X11_INCLUDE_DIR}
)
if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    include_directories(
        ${PROCPS_INCLUDE_DIRS}
    )
endif()

set(lxqt-session_HDRS "")

set(lxqt-session_SRCS
    src/main.cpp
    src/lxqtmodman.cpp
    src/wmselectdialog.cpp
    src/windowmanager.cpp
    src/sessionapplication.cpp
    src/sessiondbusadaptor.h
    src/lockscreenmanager.cpp
    src/lockscreenmanager.h
    src/numlock.cpp
    src/numlock.h
    src/log.cpp
    src/procreaper.cpp
)
if (WITH_LIBUDEV)
    list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
endif()

set(lxqt-session_UI
    src/wmselectdialog.ui
)

# Translations
lxqt_translate_ts(lxqt-session_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-session_HDRS}
        ${lxqt-session_SRCS}
        ${lxqt-session_UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)
lxqt_app_translation_loader(lxqt-session_QM_LOADER ${PROJECT_NAME})

add_executable(lxqt-session
    ${lxqt-session_SRCS}
    ${RSCS}
    ${lxqt-session_QM_FILES}
    ${lxqt-session_QM_LOADER}
)

target_link_libraries(lxqt-session
    Qt6::Widgets
    Qt6::DBus
    lxqt
    ${X11_LIBRARIES}
    KF6::WindowSystem
)
if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    target_link_libraries(lxqt-session
        ${PROCPS_LIBRARIES}
    )
elseif (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    target_link_libraries(lxqt-session
        -lutil
    )
elseif (CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
    target_link_libraries(lxqt-session
        -lkvm
    )
endif()

if (WITH_LIBUDEV)
    target_link_libraries(lxqt-session ${UDEV_LIBS})
endif()

INSTALL(TARGETS
    lxqt-session
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-session.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-session (2.1.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.1.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * debian/control: drop gnome-screensaver from alternate Recommends.
    (Closes: #1094889)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Mar 2025 17:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
             qlipper,
             qps [linux-any],
             xdg-desktop-portal-lxqt,
-            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
+            xscreensaver | light-locker | i3lock | suckless-tools
 Provides: x-session-manager
 Breaks: xdg-desktop-portal-lxqt (<< 1.1.0~)
 Description: session manager component for LXQt

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CMAKE_ARGS += -DWITH_LIBUDEV=ON
else
    CMAKE_ARGS += -DWITH_LIBUDEV=OFF
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CMAKE_ARGS)

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-session 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF6_MINIMUM_VERSION "6.0.0")
-set(LXQT_MINIMUM_VERSION "2.1.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 set(SHELLQT_MINIMUM_VERSION "6.0.0")
 
@@ -50,7 +50,7 @@
 find_package(XdgUserDirs REQUIRED)
 
 # Patch Version
-set(LXQT_SESSION_PATCH_VERSION 1)
+set(LXQT_SESSION_PATCH_VERSION 0)
 
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(

=== lxqt-config-session/CMakeLists.txt ===
project("lxqt-config-session")


set(lxqt-sessioncfg_HDRS
    sessionconfigwindow.h
    basicsettings.h
    modulemodel.h
    autostartpage.h
    autostartmodel.h
    autostartitem.h
    autostartedit.h
    autostartutils.h
    environmentpage.h
    userlocationspage.h
    waylandsettings.h
)

set(lxqt-sessioncfg_SRCS
    main.cpp
    sessionconfigwindow.cpp
    basicsettings.cpp
    modulemodel.cpp
    autostartpage.cpp
    autostartmodel.cpp
    autostartitem.cpp
    autostartedit.cpp
    autostartutils.cpp
    environmentpage.cpp
    userlocationspage.cpp
    waylandsettings.cpp
    ../lxqt-session/src/windowmanager.cpp
)

set(lxqt-sessioncfg_UI_FILES
    basicsettings.ui
    autostartpage.ui
    autostartedit.ui
    environmentpage.ui
    waylandsettings.ui
)

# Translations
lxqt_translate_ts(lxqt-sessioncfg_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-sessioncfg_HDRS}
        ${lxqt-sessioncfg_SRCS}
        ${lxqt-sessioncfg_UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in USE_YAML)

add_executable(lxqt-config-session
    ${lxqt-sessioncfg_SRCS}
    ${lxqt-sessioncfg_DESKTOP_FILES}
    ${lxqt-sessioncfg_QM_FILES}
    ${lxqt-sessioncfg_QM_LOADER})

target_link_libraries(lxqt-config-session
    KF6::WindowSystem
    Qt6::Widgets
    Qt6::DBus
    lxqt
)

INSTALL(TARGETS
    lxqt-config-session
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

install(FILES
        ${lxqt-sessioncfg_DESKTOP_FILES}
    DESTINATION
         "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-config-session.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-leave/CMakeLists.txt ===
project("lxqt-leave")

set(CPP_FILES
    main.cpp
    leavedialog.cpp
    listwidget.cpp
)

set(H_FILES
    leavedialog.h
    listwidget.h
)

set(UI_FILES
    leavedialog.ui
)


# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    resources/lxqt-leave.desktop.in
    resources/lxqt-hibernate.desktop.in
    resources/lxqt-lockscreen.desktop.in
    resources/lxqt-logout.desktop.in
    resources/lxqt-reboot.desktop.in
    resources/lxqt-shutdown.desktop.in
    resources/lxqt-suspend.desktop.in
    USE_YAML
)

lxqt_translate_ts(lxqt-leave_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${CPP_FILES}
        ${UI_FILES}
        ${H_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${PROJECT_NAME})
#************************************************


add_executable(lxqt-leave
    ${CPP_FILES}
    ${DESKTOP_FILES}
    ${lxqt-leave_QM_LOADER}
    ${lxqt-leave_QM_FILES}
)

target_link_libraries(lxqt-leave
    lxqt
    LayerShellQtInterface
)

install(TARGETS
    lxqt-leave
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES} DESTINATION
    "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    resources/lxqt-leave.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== xsession/CMakeLists.txt ===
file(GLOB SESSION_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(SESSION_FILES
    SOURCES
        ${SESSION_FILES_IN}
    USE_YAML
)
add_custom_target(xsession_desktop_files ALL DEPENDS ${SESSION_FILES})
#************************************************

MACRO(INSTALL_SESSION_FILES directory)
    install(FILES
            ${SESSION_FILES}
            DESTINATION "${directory}"
            COMPONENT Runtime
    )
ENDMACRO(INSTALL_SESSION_FILES)

INSTALL_SESSION_FILES("${CMAKE_INSTALL_DATAROOTDIR}/xsessions")

=== lxqt-config-session/translations/CMakeLists.txt ===
project(lxqt-config-session)

build_component("." "")

=== lxqt-leave/translations/CMakeLists.txt ===
project(lxqt-leave)

build_component("." "")

=== lxqt-session/translations/CMakeLists.txt ===
project(lxqt-session)

build_component("." "")

=== debian/changelog ===
lxqt-session (2.2.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.2.0 (Closes: #1097341, #1109053)
  * d/upstream: Fix signing-key.asc
  * d/control: Update Build-Depends
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Update copyright year

  [ Andrew Lee (李健秋) ]
  * Release debian version 2.2.0-1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 08:00:22 +0800

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                libglib2.0-dev,
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libproc2-dev,
                libudev-dev [linux-any],
                libx11-dev,
                qt6-svg-dev,
                qt6-tools-dev,
-               qtxdg-tools (>= 4.1.0~),
+               qtxdg-tools (>= 4.2.0~),
                xdg-user-dirs
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session

## lxqt-session 2.3.0

=== debian/changelog ===
lxqt-session (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.3.0.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).
  * debian/control: build-deps on qtxdg-tools (>= 4.3.0~).
  * debian/control: lxqt-session depends on lxqt-qtplugin (>= 2.3.0~).
  * debian/copyright: update.
  * debian/patches: clean up unused patches.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Nov 2025 06:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,22 @@
                libglib2.0-dev,
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
-               liblxqt-dev (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
                libproc2-dev,
                libudev-dev [linux-any],
                libx11-dev,
                qt6-svg-dev,
                qt6-tools-dev,
-               qtxdg-tools (>= 4.2.0~),
+               qtxdg-tools (>= 4.3.0~),
                xdg-user-dirs
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
-Rules-Requires-Root: no
 
 Package: lxqt-session
 Architecture: any
-Depends: lxqt-qtplugin (>= 2.0.0~),
+Depends: lxqt-qtplugin (>= 2.3.0~),
          lxqt-themes,
          x11-xkb-utils,
          ${misc:Depends},
